<template>
    <q-avatar :style="`color: ${value}; cursor: pointer;`" icon="stop_circle" size="56px"
              font-size="52px" class="shadow-3">
        <q-popup-proxy transition-show="scale" transition-hide="scale">
            <q-color no-header @input="Color" :value="value"/>
        </q-popup-proxy>
    </q-avatar>
</template>

<style lang='scss' scoped>

</style>

<script lang='ts'>
import {Component, Prop, Vue} from 'vue-property-decorator';


@Component
export default class ColorPicker extends Vue {
    @Prop() value!: string;

    Color(c: string) {
        this.$emit('input', c)
    }

    // _color: string = this.value;
}
</script>
